commit 279b5c775cb32ba3b196ee4c703d0e5e739a9872
Author: jklowden <jklowden>
Date:   Mon Jan 11 14:03:23 2010 +0000

    define pthread_self() as zero for win32

diff --git a/src/tds/log.c b/src/tds/log.c
index 52a1328..7eaa428 100644
--- a/src/tds/log.c
+++ b/src/tds/log.c
@@ -55,7 +55,8 @@
 #endif /* HAVE_UNISTD_H */
 
 #ifdef _WIN32
-#include <process.h>
+# include <process.h>
+# define pthread_self() 0
 #endif
 
 #include "tds.h"
@@ -66,7 +67,7 @@
 #include <dmalloc.h>
 #endif
 
-TDS_RCSID(var, "$Id: log.c,v 1.14 2010/01/10 14:43:12 freddy77 Exp $");
+TDS_RCSID(var, "$Id: log.c,v 1.15 2010/01/11 14:03:23 jklowden Exp $");
 
 /* for now all messages go to the log */
 int tds_debug_flags = TDS_DBGFLAG_ALL | TDS_DBGFLAG_SOURCE | TDS_DBGFLAG_PID | TDS_DBGFLAG_THREAD;

